Subject: Re: Bug in Guix? ... guix-command substitute' died unexpectedly

From: Zelphir Kaltstahl <[email-masked]>
Date: Sun, 7 Apr 2024 13:46:21 +0000

On 4/7/24 03:17, [email-masked] wrote:
>> I was able to update, yes, but I don't know, if the problem is solved. I got some error (not necessarily the same, I don't remember) on multiple occasions, when trying to update. I have no idea, whether it is something other people experience or just my installation.
> Now that you have updated.
>
> Does the below work without issue?
>
> $ guix pull && guix package -u
> # guix system reconfigure config.scm
>
> If you still experience issues with the above commands, please let me know!
>
> Thanks,
>
> Joshua

Hi Joshua!

I just tried:

~~~~START~~~~
guix pull && guix package -u

...
(lots of output)
...

building /gnu/store/3g7459g63by7wgnjksz3843apq7n7k6m-racket-8.11.1.drv...
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: error: TLS error in procedure 'write_to_session_record_port': Error in the push function.
guix package: error: `/gnu/store/l4vir00gbprk85qzmm2v8l38z8jrfly0-guix-command substitute' died unexpectedly
~~~~~END~~~~~

Regards,Zelphir

-- 
repositories:https://notabug.org/ZelphirKaltstahl